/*------------------------------------*\
    #Table
\*------------------------------------*/

@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}table--horizontal,
%#{$inuit-namespace}table--horizontal {
    @include table;

    thead tr th,
    tfoot tr th,
    tfoot tr td,
    tbody tr th,
    tbody tr td,
    tr td {
        display: block;
        width: 100%;
        vertical-align: top;

        @media #{$medium-up} {
            display: table-cell;
            width: auto;
        }
    }

    thead tr {
        display: none;

        @media #{$medium-up} {
            display: table-row;
        }
    }

    tr td:first-child {
        font-weight: bold;

        @media #{$medium-up} {
            font-weight: inherit;
        }
    }
}

.#{$inuit-namespace}table--vertical,
%#{$inuit-namespace}table--vertical {
    @include table;

    tr {
        &.even,
        &.alt,
        &:nth-of-type(2n) {
            background: none;
        }
    }

    tr {
        width: 100%;
        display: table-row;
    }

    td {
        &.even,
        &.alt,
        &:nth-of-type(2n) {
            background: $frs-color-bright none repeat scroll 0 0;
        }
    }

    thead tr th,
    tfoot tr th,
    tfoot tr td,
    tbody tr th,
    tbody tr td,
    tr td {
        text-align: left;
        vertical-align: top;
        display: table-cell;
        width: auto;
    }
}
